AOZ Studio Beta - Bug #459

After an error, the editor sometimes loses visibility of text typed. The cursor also disappears.
08/26/2020 10:20 AM - Brian Flanagan

Status: Closed Start date: 08/26/2020
Priority: High Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 4:00 hours
Target version: Beta RC2

Affected version: 0.9.9.4-r2

Description

This has been a recent issue... within the last few days.
Example:

The following code causes an error at the VScroll 10
fmanifest: "amiga"

for y=0 to 31
locate 0,y:print repeat$("a",39);
next y
locate 20,10
wait 25
for s=1 to 5
vscroll 10
wait 5
next s
end

After the error occurs, and the application's window is closed, when clicking in the editor, no cursor appears, and nothing typed
appears. The line number clicked on, however, will highlight.

Work-around is to click in the debugger window, then click back in the editor window. This will restore the cursor, and typing ability.
(Clicking in other panes doesn't help.)

History

#1 - 09/19/2020 08:11 AM - Brian Flanagan

- Priority changed from Normal to High

- Estimated time set to 4:00 h

Another example was reported by Paul K. in bug #499:

For example:

locate 50,50:print "*"

Press F2. That gives an error and then when you close the window your cursor has gone, and you have to quit AOZ to be able to type again.
#2 - 11/01/2020 03:21 PM - Baptiste Bideaux

- Status changed from New to Closed

- Target version set to Beta RC2

Fixed since RC2.
